commit c975a066778240d962524aeb26300d814c9ace7e
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Mon Mar 27 16:43:45 2017 +0200

    Fix compile error - Remove generics from AbcdImportConfigurator

diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java
index 76e956eb3..d3438c330 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/ImportManager.java
@@ -43,7 +43,6 @@ import eu.etaxonomy.cdm.io.reference.endnote.in.EndnoteImportConfigurator;
 import eu.etaxonomy.cdm.io.sdd.in.SDDImportConfigurator;
 import eu.etaxonomy.cdm.io.service.IIOService;
 import eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator;
-import eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportState;
 import eu.etaxonomy.cdm.io.specimen.excel.in.SpecimenCdmExcelImportConfigurator;
 import eu.etaxonomy.cdm.io.specimen.gbif.in.GbifImportConfigurator;
 import eu.etaxonomy.cdm.io.specimen.gbif.in.GbifImportState;
@@ -444,7 +443,7 @@ public class ImportManager extends AbstractIOManager<IImportConfigurator> implem
 
 	}
 
-	public Job createIOServiceJob(final Abcd206ImportConfigurator<Abcd206ImportState, InputStream> configurator) {
+	public Job createIOServiceJob(final Abcd206ImportConfigurator configurator) {
 		 Assert.isNotNull(configurator, "Configuration may not be null");
 	        final Display display = Display.getDefault();
 	        Job job = new Job("Import: " + " Dwca") {
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
index aa93c603a..433dfdd98 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/io/wizard/AbcdImportConfiguratorWizardPage.java
@@ -18,27 +18,26 @@ import org.eclipse.swt.widgets.Button;
 import org.eclipse.swt.widgets.Composite;
 
 import eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportConfigurator;
-import eu.etaxonomy.cdm.io.specimen.abcd206.in.Abcd206ImportState;
 
 /**
- * 
+ *
  * @author pplitzner
  *
  */
 public class AbcdImportConfiguratorWizardPage extends WizardPage {
 
 	public static final String PAGE_NAME = "AbcdImportConfiguratorWizardPage";
-	
-	private Abcd206ImportConfigurator<Abcd206ImportState, ?> configurator;
 
-	protected AbcdImportConfiguratorWizardPage(String title, String description, Abcd206ImportConfigurator<Abcd206ImportState, ?> configurator) {
+	private Abcd206ImportConfigurator configurator;
+
+	protected AbcdImportConfiguratorWizardPage(String title, String description, Abcd206ImportConfigurator configurator) {
 		super(PAGE_NAME);
 		this.configurator = configurator;
 		setTitle(title);
 		setDescription(description);
 	}
 
-	public static AbcdImportConfiguratorWizardPage createPage(Abcd206ImportConfigurator<Abcd206ImportState, ?> configurator){
+	public static AbcdImportConfiguratorWizardPage createPage(Abcd206ImportConfigurator configurator){
 		return new AbcdImportConfiguratorWizardPage("Configure import parameters",
 				"Tooltips will explain parameters in more detail", configurator);
 	}
@@ -76,7 +75,7 @@ public class AbcdImportConfiguratorWizardPage extends WizardPage {
 				configurator.setIgnoreImportOfExistingSpecimen(!configurator.isIgnoreImportOfExistingSpecimen());
 			}
 		});
-		
+
 		Button checkBoxIgnoreAuthorship = new Button(composite, SWT.CHECK);
 		checkBoxIgnoreAuthorship.setSelection(configurator.isIgnoreAuthorship());
 		checkBoxIgnoreAuthorship.setText("Ignore Authorship for name matching");
@@ -89,7 +88,7 @@ public class AbcdImportConfiguratorWizardPage extends WizardPage {
 				configurator.setIgnoreAuthorship(!configurator.isIgnoreAuthorship());
 			}
 		});
-		
+
 		Button checkBoxMapUnitIdToCatalogNumber = new Button(composite, SWT.CHECK);
 		checkBoxMapUnitIdToCatalogNumber.setSelection(configurator.isMapUnitIdToCatalogNumber());
 		checkBoxMapUnitIdToCatalogNumber.setText("Map UnitID to catalog number");
@@ -102,7 +101,7 @@ public class AbcdImportConfiguratorWizardPage extends WizardPage {
 				configurator.setMapUnitIdToCatalogNumber(!configurator.isMapUnitIdToCatalogNumber());
 			}
 		});
-		
+
 		Button checkBoxMapUnitIdToAccessionNumber = new Button(composite, SWT.CHECK);
 		checkBoxMapUnitIdToAccessionNumber.setSelection(configurator.isMapUnitIdToAccessionNumber());
 		checkBoxMapUnitIdToAccessionNumber.setText("Map UnitID to accession number");
@@ -115,7 +114,7 @@ public class AbcdImportConfiguratorWizardPage extends WizardPage {
 				configurator.setMapUnitIdToAccessionNumber(!configurator.isMapUnitIdToAccessionNumber());
 			}
 		});
-		
+
 		Button checkBoxMapUnitIdToBarcode = new Button(composite, SWT.CHECK);
 		checkBoxMapUnitIdToBarcode.setSelection(configurator.isMapUnitIdToBarcode());
 		checkBoxMapUnitIdToBarcode.setText("Map UnitID to barcode");
@@ -128,7 +127,7 @@ public class AbcdImportConfiguratorWizardPage extends WizardPage {
 				configurator.setMapUnitIdToBarcode(!configurator.isMapUnitIdToBarcode());
 			}
 		});
-		
+
 		Button checkBoxRemoveCountry = new Button(composite, SWT.CHECK);
 		checkBoxRemoveCountry.setSelection(configurator.isRemoveCountryFromLocalityText());
 		checkBoxRemoveCountry.setText("Remove country from locality text");
@@ -142,7 +141,7 @@ public class AbcdImportConfiguratorWizardPage extends WizardPage {
 				configurator.setRemoveCountryFromLocalityText(!configurator.isRemoveCountryFromLocalityText());
 			}
 		});
-		
+
 		Button checkBoxMoveToDefaultClassification = new Button(composite, SWT.CHECK);
 		checkBoxMoveToDefaultClassification.setSelection(configurator.isMoveNewTaxaToDefaultClassification());
 		checkBoxMoveToDefaultClassification.setText("Create new classification for new taxa");
@@ -155,8 +154,8 @@ public class AbcdImportConfiguratorWizardPage extends WizardPage {
 				configurator.setRemoveCountryFromLocalityText(!configurator.isRemoveCountryFromLocalityText());
 			}
 		});
-		
+
 		setControl(composite);
 	}
-	
+
 }