commit 984a53d635563f46afd2aa03515d65a0a77ded6f
Author: jenkins <jenkins-int@bgbm.org>
Date:   Wed Nov 8 12:16:06 2017 +0100

    updating develop poms to master versions to avoid merge conflicts

diff --git a/cdmlib-commons/pom.xml b/cdmlib-commons/pom.xml
index 5723c7b6b9..4bb8c6b053 100644
--- a/cdmlib-commons/pom.xml
+++ b/cdmlib-commons/pom.xml
@@ -6,7 +6,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
 	<relativePath>../pom.xml</relativePath>
   </parent>
   
diff --git a/cdmlib-db/pom.xml b/cdmlib-db/pom.xml
index f4f4324714..c9f99861a6 100644
--- a/cdmlib-db/pom.xml
+++ b/cdmlib-db/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
 
diff --git a/cdmlib-ext/pom.xml b/cdmlib-ext/pom.xml
index 37186ab4cd..fcb99a594f 100644
--- a/cdmlib-ext/pom.xml
+++ b/cdmlib-ext/pom.xml
@@ -6,7 +6,7 @@
 	<parent>
 	    <groupId>eu.etaxonomy</groupId>
 	    <artifactId>cdmlib-parent</artifactId>
-	    <version>4.12.0-SNAPSHOT</version>
+	    <version>4.11.0</version>
 	    <relativePath>../pom.xml</relativePath>
 	</parent>
 
diff --git a/cdmlib-io/pom.xml b/cdmlib-io/pom.xml
index 0e4374a792..bb9f262243 100644
--- a/cdmlib-io/pom.xml
+++ b/cdmlib-io/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
 
diff --git a/cdmlib-model/pom.xml b/cdmlib-model/pom.xml
index 5eedcf89e7..18a40f535b 100644
--- a/cdmlib-model/pom.xml
+++ b/cdmlib-model/pom.xml
@@ -2,7 +2,7 @@
   <parent>
     <artifactId>cdmlib-parent</artifactId>
     <groupId>eu.etaxonomy</groupId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
   <modelVersion>4.0.0</modelVersion>
diff --git a/cdmlib-persistence/pom.xml b/cdmlib-persistence/pom.xml
index 3ba0a38ed4..d4811030a4 100644
--- a/cdmlib-persistence/pom.xml
+++ b/cdmlib-persistence/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
 
diff --git a/cdmlib-print/pom.xml b/cdmlib-print/pom.xml
index c58c7b889c..cf3c9e8754 100644
--- a/cdmlib-print/pom.xml
+++ b/cdmlib-print/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <artifactId>cdmlib-parent</artifactId>
     <groupId>eu.etaxonomy</groupId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
   <modelVersion>4.0.0</modelVersion>
diff --git a/cdmlib-remote-webapp/pom.xml b/cdmlib-remote-webapp/pom.xml
index b60c3e3be9..eb35f6c092 100755
--- a/cdmlib-remote-webapp/pom.xml
+++ b/cdmlib-remote-webapp/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <artifactId>cdmlib-parent</artifactId>
     <groupId>eu.etaxonomy</groupId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
 
diff --git a/cdmlib-remote/pom.xml b/cdmlib-remote/pom.xml
index 5cc3f7f1bd..17004bcf61 100644
--- a/cdmlib-remote/pom.xml
+++ b/cdmlib-remote/pom.xml
@@ -4,7 +4,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
 
diff --git a/cdmlib-services/pom.xml b/cdmlib-services/pom.xml
index 4bc531850d..3d516b07d4 100644
--- a/cdmlib-services/pom.xml
+++ b/cdmlib-services/pom.xml
@@ -6,7 +6,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
 
diff --git a/cdmlib-test/pom.xml b/cdmlib-test/pom.xml
index 7ae8dd085f..62691394ba 100644
--- a/cdmlib-test/pom.xml
+++ b/cdmlib-test/pom.xml
@@ -3,7 +3,7 @@
   <parent>
     <groupId>eu.etaxonomy</groupId>
     <artifactId>cdmlib-parent</artifactId>
-    <version>4.12.0-SNAPSHOT</version>
+    <version>4.11.0</version>
     <relativePath>../pom.xml</relativePath>
   </parent>
 
diff --git a/pom.xml b/pom.xml
index 111c721d67..3ca3a8147c 100644
--- a/pom.xml
+++ b/pom.xml
@@ -3,7 +3,7 @@
   <modelVersion>4.0.0</modelVersion>
   <groupId>eu.etaxonomy</groupId>
   <artifactId>cdmlib-parent</artifactId>
-  <version>4.12.0-SNAPSHOT</version>
+  <version>4.11.0</version>
   <name>CDM Library</name>
   <description>The Java implementation of the Common Data Model (CDM), the data model for EDIT's internet platform for cybertaxonomy.</description>
   <url>http://cybertaxonomy.eu/cdmlib/</url>