commit 5f993e312d54cde93127fdc6e7a972e029946b9f
Author: Patrick Plitzner <p.plitzner@bgbm.org>
Date:   Tue Nov 12 11:09:57 2019 +0100

    ref #7019 Fix menu sort order of navigation context menu

diff --git a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle.properties b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle.properties
index 385986723..f5b688785 100644
--- a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle.properties
+++ b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle.properties
@@ -68,8 +68,8 @@ command.name.removeDoubtful = Remove Doubtful Flag
 command.label.removeDoubtful = Remove Doubtful Flag
 
 wizard.name = TCS
-wizard.name.2 = Excel Normal Explicit Taxa
-wizard.name.3 = ABCD
+wizard.name.2 = Excel Normal Explicit
+wizard.name.3 = ABCD file
 wizard.name.4 = SDD
 wizard.name.5 = Specimen CDM Excel
 wizard.name.6 = JAXB
@@ -82,11 +82,11 @@ wizard.name.20 = CSV_PRINT
 wizard.name.22 = CDM light (csv)
 wizard.name.14 = Specimen
 wizard.name.23 = Excel Distribution Data Update
-wizard.name.24 = RIS Reference
+wizard.name.24 = RIS
 
 handledmenuitem.label.1 = Clone Classification
 menu.label.1 = Import
-handledmenuitem.label.2 = Import Specimens
+handledmenuitem.label.2 = Specimen online
 menu.label.2 = Export
 handledtoolitem.label.1 = Collapse
 handledtoolitem.label.2 = Sync with taxon selectio
diff --git a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle_de.properties b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle_de.properties
index ff51efac5..976ce378d 100644
--- a/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle_de.properties
+++ b/eu.etaxonomy.taxeditor.navigation/OSGI-INF/l10n/bundle_de.properties
@@ -11,7 +11,6 @@ command.label.3 = Klassifikation
 command.label.5 = Bearbeiten
 command.label.6 = Akzeptiertes Taxon zum Synonym umwandeln
 command.label.61 = Akzeptiertes Taxon zum Synonym umwandeln (Setze Name in Quelle automatisch)
-command.label.62 = Akzeptiertes Taxon zum Synonym umwandeln (Der Name wird automatisch gesetzt, wenn er leer ist)
 command.label.7 = Verschiebe Taxon (mit Kindern)
 command.label.8 = Importieren
 command.label.9 = Exportieren
@@ -67,9 +66,10 @@ command.name.setDoubtful = Setze Doubtful Flag
 command.label.setDoubtful = Setze Doubtful Flag
 command.name.removeDoubtful = Entferne Doubtful Flag
 command.label.removeDoubtful = Entferne Doubtful Flag
+
 wizard.name = TCS
-wizard.name.2 = Excel Normal Explicit Taxa
-wizard.name.3 = ABCD
+wizard.name.2 = Excel Normal Explicit
+wizard.name.3 = ABCD Datei
 wizard.name.4 = SDD
 wizard.name.5 = Beleg CDM Excel
 wizard.name.6 = JAXB
@@ -82,4 +82,15 @@ wizard.name.20 = CSV_PRINT
 wizard.name.22 = CDM light (csv)
 wizard.name.14 = Beleg
 wizard.name.23 = Excel Verbreitungsdaten Update
-wizard.name.24 = RIS Referenzen
\ No newline at end of file
+wizard.name.24 = RIS
+
+
+handledmenuitem.label.1 = Klassifikation duplizieren
+menu.label.1 = Import
+handledmenuitem.label.2 = Beleg online
+menu.label.2 = Export
+handledtoolitem.label.1 = Collapse
+handledtoolitem.label.2 = Sync with taxon selectio
+command.commandname.1 = Klassifikation duplizieren
+command.commandname.2 = Navigator aktualisieren
+command.commandname.3 = Mit Taxon verknüpfen
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.navigation/fragment.e4xmi b/eu.etaxonomy.taxeditor.navigation/fragment.e4xmi
index 03b8d4dbd..6383554ac 100644
--- a/eu.etaxonomy.taxeditor.navigation/fragment.e4xmi
+++ b/eu.etaxonomy.taxeditor.navigation/fragment.e4xmi
@@ -73,16 +73,26 @@
         <children xsi:type="menu:MenuSeparator" xmi:id="_rBdnsJIwEeeJAdt8ZUxyaw" elementId="eu.etaxonomy.taxeditor.navigation.menuseparator.2"/>
         <children xsi:type="menu:Menu" xmi:id="_T8ey0KkeEeejedk4mZQIGw" elementId="eu.etaxonomy.taxeditor.navigation.menu.import" label="%menu.label.1">
           <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_7ZtcEMuuEeiGO4eKaXkw0w" coreExpressionId="isShowIOMenuEnabled"/>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_YMugAKkeEeejedk4mZQIGw" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importSpecimens" label="%handledmenuitem.label.2" command="_yBC78KnJEeeTAPHmaMLwQQ"/>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_2NC0kKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importAbcd" label="%wizard.name.3" command="_AOq4QKnKEeeTAPHmaMLwQQ"/>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_3rMNkKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importExceldistribution" label="%wizard.name.23" command="_Anfn8KnKEeeTAPHmaMLwQQ">
-            <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_3rMNkanEEeeTAPHmaMLwQQ" coreExpressionId="isShowExperimentalFeatures"/>
+          <children xsi:type="menu:Menu" xmi:id="_2sWBQAUvEeqpi5fkbwgEHQ" elementId="eu.etaxonomy.taxeditor.navigation.menu.specimen" label="Specimen">
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_YMugAKkeEeejedk4mZQIGw" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importSpecimens" label="%handledmenuitem.label.2" command="_yBC78KnJEeeTAPHmaMLwQQ"/>
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_2NC0kKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importAbcd" label="%wizard.name.3" command="_AOq4QKnKEeeTAPHmaMLwQQ"/>
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_6uLdcKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importExcelSpecimen" label="%wizard.name.5" command="_Av4u8KnKEeeTAPHmaMLwQQ"/>
+          </children>
+          <children xsi:type="menu:Menu" xmi:id="_6UTmcAUvEeqpi5fkbwgEHQ" elementId="eu.etaxonomy.taxeditor.navigation.menu.taxa" label="Taxa">
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_6YeTMKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importExcelTaxa" label="%wizard.name.2" command="_AqZK8KnKEeeTAPHmaMLwQQ"/>
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_7w_lUKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importTcs" label="%wizard.name" command="_LCsbgKnKEeeTAPHmaMLwQQ"/>
+          </children>
+          <children xsi:type="menu:Menu" xmi:id="_7e6YYAUvEeqpi5fkbwgEHQ" elementId="eu.etaxonomy.taxeditor.navigation.menu.references" label="References">
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_7B5qsKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importRisReference" label="%wizard.name.24" command="_AsTPcKnKEeeTAPHmaMLwQQ"/>
+          </children>
+          <children xsi:type="menu:Menu" xmi:id="_8rL-QAUvEeqpi5fkbwgEHQ" elementId="eu.etaxonomy.taxeditor.navigation.menu.descriptivedata" label="Descriptive Data">
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_7XgHQKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importSdd" label="%wizard.name.4" command="_AuNT8KnKEeeTAPHmaMLwQQ"/>
+          </children>
+          <children xsi:type="menu:Menu" xmi:id="_-bKuIAUvEeqpi5fkbwgEHQ" elementId="eu.etaxonomy.taxeditor.navigation.menu.factualdata" label="Factual Data">
+            <children xsi:type="menu:HandledMenuItem" xmi:id="_3rMNkKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importExceldistribution" label="%wizard.name.23" command="_Anfn8KnKEeeTAPHmaMLwQQ">
+              <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_3rMNkanEEeeTAPHmaMLwQQ" coreExpressionId="isShowExperimentalFeatures"/>
+            </children>
           </children>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_6YeTMKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importExcelTaxa" label="%wizard.name.2" command="_AqZK8KnKEeeTAPHmaMLwQQ"/>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_6uLdcKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importExcelSpecimen" label="%wizard.name.5" command="_Av4u8KnKEeeTAPHmaMLwQQ"/>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_7B5qsKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importRisReference" label="%wizard.name.24" command="_AsTPcKnKEeeTAPHmaMLwQQ"/>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_7XgHQKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importSdd" label="%wizard.name.4" command="_AuNT8KnKEeeTAPHmaMLwQQ"/>
-          <children xsi:type="menu:HandledMenuItem" xmi:id="_7w_lUKnEEeeTAPHmaMLwQQ" elementId="eu.etaxonomy.taxeditor.navigation.handledmenuitem.importTcs" label="%wizard.name" command="_LCsbgKnKEeeTAPHmaMLwQQ"/>
         </children>
         <children xsi:type="menu:Menu" xmi:id="_rbInwKqhEeeXcJGhyhlrKA" elementId="eu.etaxonomy.taxeditor.navigation.menu.export" label="%menu.label.2">
           <visibleWhen xsi:type="ui:CoreExpression" xmi:id="_3qJaEMuuEeiGO4eKaXkw0w" coreExpressionId="isShowIOMenuEnabled"/>
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
index d8eb7ce2e..c9ae5ff34 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle.properties
@@ -75,8 +75,8 @@ category.name = CDM
 wizard.name = TCS
 wizard.name.0 = Berlin Model
 wizard.name.1 = Endnote
-wizard.name.2 = Excel Normal Explicit Taxa
-wizard.name.3 = ABCD
+wizard.name.2 = Excel Normal Explicit
+wizard.name.3 = ABCD file
 wizard.name.4 = SDD
 wizard.name.5 = Specimen CDM Excel
 category.name.0 = CDM
@@ -182,7 +182,7 @@ viewCommandMapping.viewerName.TAXON_NODE_WIZARD = Taxon Node Dialogue
 command.label.CHANGE_PASSWORD = Change password
 wizard.name.22 = CDM light (csv)
 wizard.name.23 = Excel Distribution Data Update
-wizard.name.24 = RIS Reference
+wizard.name.24 = RIS
 command.label.25 = Import Preferences
 partdescriptor.label.featureTreeEditor = Feature Tree Editor
 command.name.OPEN_REFERENCING_OBJECTS_VIEW = Open Referencing Objects View
diff --git a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
index 51cbe1156..abdc27a5c 100644
--- a/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
+++ b/eu.etaxonomy.taxeditor.store/OSGI-INF/l10n/bundle_de.properties
@@ -75,8 +75,8 @@ category.name = CDM
 wizard.name = TCS
 wizard.name.0 = Berlin Modell
 wizard.name.1 = Endnote
-wizard.name.2 = Excel Normal Explicit Taxa
-wizard.name.3 = ABCD
+wizard.name.2 = Excel Normal Explicit
+wizard.name.3 = ABCD Datei
 wizard.name.4 = SDD
 wizard.name.5 = Beleg CDM Excel
 category.name.0 = CDM
@@ -182,7 +182,7 @@ viewCommandMapping.viewerName.TAXON_NODE_WIZARD = Taxonknoten-Dialog
 command.label.CHANGE_PASSWORD = Kennwort ändern
 wizard.name.22 = CDM light (csv)
 wizard.name.23 = Excel Verbreitungsdaten Update
-wizard.name.24 = RIS Referenzen
+wizard.name.24 = RIS
 command.label.25 = Import Präferenzen
 partdescriptor.label.featureTreeEditor = Merkmal-Baumeditor
 command.name.OPEN_REFERENCING_OBJECTS_VIEW = Öffne Referenzierende Objekte